#ifndef __XR25CONFIG__
#define __XR25CONFIG__

#define XR25_DIAGNOSTIC_CARD_CODE_LENGTH 6
#define XR25_DIAGNOATIC_CARD_UNIQUE_CODE_LENGTH 16
#define XR25_DIAGNOSTIC_CARD_PARAMETER_NAME_LENGTH 32
#define XR25_DIAGNOSTIC_CARD_PARAMETER_UNIT_LENGTH 16
#define XR25_DIAGNOSTIC_CARD_PARAMETER_COUNT 64
#define XR25_PARAMETER_STRING_MAX_LENGTH 64
#define XR25_TICK_INTERVAL_MSEC 500
#define XR25_THREAD_WAIT_TICK_TIME_USEC 10000 // 10ms
#define XR25_THREAD_WAIT_COUNT 5 // 5 times; each 10 ms

#endif //__XR25CONFIG__